Subject: Re: [PATCH] sequencer: make it clearer that commit descriptions are just comments

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 May 2025 09:21:26 -0700

Ben Knoble <[email-masked]> writes:

>> Le 15 mai 2025 à 11:56, Junio C Hamano <[email-masked]> a écrit :
>> 
>> Phillip Wood <[email-masked]> writes:
>> 
>>>> -        grep -v -e \# -e ^$ work >patches &&
>>>> +        sed -e s/#.*// work | grep -v ^$ >patches &&
>>> 
>>> I think we could just use 'sed -n "!/^#/p work >patches &&" here
>> 
>> Or even "sed -e '/^#/d' -e '/^$/d'" ?
>
> I’m probably missing something obvious, but why step away from "grep -v -e ^\# -e ^$"? A one character change from the original ;) If we must go with Sed, I’d prefer Junio’s construct (combining, with obvious semantics via "d") over the sed|grep pipeline. 

Mine was a spinal reflex against piping sed and grep; I do not see a
reason why "grep -v" with two patterns like you gave should not
work---that is a good way to remove the pipe, too.

Thanks.